﻿#language: ru

@IIoT

Функционал: 05_IIoT.01.015 Настойка соответствий ВИ

Сценарий: 05_IIoT.01.015 Загрузка из внешних источников датчиков
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Промышленный интернет вещей' 'Датчики'
	Тогда открылось окно 'Датчики'
	И я нажимаю на кнопку 'Загрузить из внешнего источника'
	И я жду, что в таблице 'Список' количество строк будет "больше" 0 в течение 20 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                      | 'Тип подключения' |
		| 'Вход в танк нормализованной смеси' | 'SCADA'           |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Вход в танк нормализованной смеси (Датчик)'
	И из выпадающего списка "Тип значения данных" я выбираю точное значение 'Число'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вход в танк нормализованной смеси (Датчик) *' в течение 20 секунд
	Тогда открылось окно 'Датчики'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       | 'Тип подключения' |
		| 'Вход в танк обрата' | 'SCADA'           |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Вход в танк обрата (Датчик)'
	И из выпадающего списка "Тип значения данных" я выбираю точное значение 'Число'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вход в танк обрата (Датчик) *' в течение 20 секунд
	Тогда открылось окно 'Датчики'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       | 'Тип подключения' |
		| 'Вход в танк сливок' | 'SCADA'           |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Вход в танк сливок (Датчик)'
	И из выпадающего списка "Тип значения данных" я выбираю точное значение 'Число'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вход в танк сливок (Датчик) *' в течение 20 секунд
	Тогда открылось окно 'Датчики'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                   | 'Тип подключения' |
		| 'Вход в танк сливок в маслоцехе' | 'SCADA'           |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Вход в танк сливок в маслоцехе (Датчик)'
	И из выпадающего списка "Тип значения данных" я выбираю точное значение 'Число'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вход в танк сливок в маслоцехе (Датчик) *' в течение 20 секунд
	Тогда открылось окно 'Датчики'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'          | 'Тип подключения' |
		| 'Вход в танк сыворотки' | 'SCADA'           |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Вход в танк сыворотки (Датчик)'
	И из выпадающего списка "Тип значения данных" я выбираю точное значение 'Число'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вход в танк сыворотки (Датчик) *' в течение 20 секунд
	Тогда открылось окно 'Датчики'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'             | 'Тип подключения' |
		| 'Вход молока на сепаратор' | 'SCADA'           |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Вход молока на сепаратор (Датчик)'
	И из выпадающего списка "Тип значения данных" я выбираю точное значение 'Число'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вход молока на сепаратор (Датчик) *' в течение 20 секунд
	Тогда открылось окно 'Датчики'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        | 'Тип подключения' |
		| 'Камера созревания 1' | 'SCADA'           |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Камера созревания * (Датчик)'
	И из выпадающего списка "Тип значения данных" я выбираю точное значение 'Число'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Камера созревания * (Датчик) *' в течение 20 секунд
	Тогда открылось окно 'Датчики'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        | 'Тип подключения' |
		| 'Камера созревания 2' | 'SCADA'           |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Камера созревания * (Датчик)'
	И из выпадающего списка "Тип значения данных" я выбираю точное значение 'Число'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Камера созревания * (Датчик) *' в течение 20 секунд
	Тогда открылось окно 'Датчики'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       | 'Тип подключения' |
		| 'Сыроизготовитель 1' | 'SCADA'           |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Сыроизготовитель * (Датчик)'
	И из выпадающего списка "Тип значения данных" я выбираю точное значение 'Число'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Сыроизготовитель * (Датчик) *' в течение 20 секунд
	Тогда открылось окно 'Датчики'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       | 'Тип подключения' |
		| 'Сыроизготовитель 2' | 'SCADA'           |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Сыроизготовитель * (Датчик)'
	И из выпадающего списка "Тип значения данных" я выбираю точное значение 'Число'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Сыроизготовитель * (Датчик) *' в течение 20 секунд
	Тогда открылось окно 'Датчики'
	И Я закрываю окно 'Датчики'

Сценарий: 05_IIoT.01.015 Загрузка из внешних источников мест хранения
	И В командном интерфейсе я выбираю 'Промышленный интернет вещей' 'Места хранения'
	Тогда открылось окно 'Места хранения'
	И я нажимаю на кнопку 'Загрузить из внешнего источника'
	И я жду, что в таблице 'Список' количество строк будет "больше" 0 в течение 20 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Танк обрата'  |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Танк обрата (Место хранения)'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Танк №1'      |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Танк обрата (Место хранения) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Танк обрата (Место хранения) *' в течение 20 секунд
	Тогда открылось окно 'Места хранения'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Танк сливок'  |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Танк сливок (Место хранения)'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Танк №2'      |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Танк сливок (Место хранения) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Танк сливок (Место хранения) *' в течение 20 секунд
	Тогда открылось окно 'Места хранения'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'Танк сливок маслоцех' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Танк сливок маслоцех (Место хранения)'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маслоцех'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Танк сливок маслоцех (Место хранения) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Танк сливок маслоцех (Место хранения) *' в течение 20 секунд
	Тогда открылось окно 'Места хранения'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сепаратор'    |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Сепаратор (Место хранения)'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'ПАЦ'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Сепаратор (Место хранения) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Сепаратор (Место хранения) *' в течение 20 секунд
	Тогда открылось окно 'Места хранения'
	И Я закрываю окно 'Места хранения'

Сценарий: 05_IIoT.01.015 Загрузка из внешних источников маршрутов
	И В командном интерфейсе я выбираю 'Промышленный интернет вещей' 'Маршруты'
	Тогда открылось окно 'Маршруты'
	И я нажимаю на кнопку 'Загрузить из внешнего источника'
	И я жду, что в таблице 'Список' количество строк будет "равно" 3 в течение 20 секунд
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Маршрут (создание)'
	И в поле 'Наименование' я ввожу текст 'Танк 1 - Танк смеси'
	И в поле 'Идентификатор SCADA' я ввожу текст '6'
	И я нажимаю кнопку выбора у поля "Склад отправитель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Танк №2'      |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Маршрут (создание) *'
	И я нажимаю кнопку выбора у поля "Склад получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'ПАЦ'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Маршрут (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Маршрут (создание) *' в течение 20 секунд
	Тогда открылось окно 'Маршруты'
	И я закрываю окно 'Маршруты'

Сценарий: 05_IIoT.01.015 Загрузка из внешних источников операций
	И В командном интерфейсе я выбираю 'Промышленный интернет вещей' 'Операции'
	Тогда открылось окно 'Операции'
	И я нажимаю на кнопку 'Загрузить из внешнего источника'
	И я жду, что в таблице 'Список' количество строк будет "больше" 0 в течение 20 секунд
	И Я закрываю окно 'Операции'

Сценарий: 05_IIoT.01.015 Загрузка из внешних источников показателей процесса
	И В командном интерфейсе я выбираю 'Промышленный интернет вещей' 'Показатели процесса'
	Тогда открылось окно 'Показатели процесса'
	И я нажимаю на кнопку 'Загрузить из внешнего источника'
	И я жду, что в таблице 'Список' количество строк будет "больше" 0 в течение 20 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Время варки'  |	
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Время варки (Показатель процесса)'
	И я нажимаю кнопку выбора у поля "Показатель процесса"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Время варки'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Время варки (Показатель процесса) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Время варки (Показатель процесса) *' в течение 20 секунд
	Тогда открылось окно 'Показатели процесса'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'      |
		| 'Время ферментации' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Время ферментации (Показатель процесса)'
	И я нажимаю кнопку выбора у поля "Показатель процесса"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'Время ферментации'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Время ферментации (Показатель процесса) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Время ферментации (Показатель процесса) *' в течение 20 секунд
	Тогда открылось окно 'Показатели процесса'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'показатель'   |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'показатель (Показатель процесса)'
	И я нажимаю кнопку выбора у поля "Показатель процесса"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'показатель'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'показатель (Показатель процесса) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'показатель (Показатель процесса) *' в течение 20 секунд
	Тогда открылось окно 'Показатели процесса'
	И Я закрываю окно 'Показатели процесса'

Сценарий: 05_IIoT.01.015 Загрузка из внешних источников параметров среды
	И В командном интерфейсе я выбираю 'Промышленный интернет вещей' 'Параметры среды'
	Тогда открылось окно 'Параметры среды'
	И я нажимаю на кнопку 'Загрузить из внешнего источника'
	И я жду, что в таблице 'Список' количество строк будет "больше" 0 в течение 20 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Влажность, %' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Влажность, % (Параметр среды)'
	И я нажимаю кнопку выбора у поля "Параметр среды"
	Тогда открылось окно 'Показатели складов'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Влажность, %' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Влажность, % (Параметр среды) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Влажность, % (Параметр среды) *' в течение 20 секунд
	Тогда открылось окно 'Параметры среды'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'параметр склада' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'параметр склада (Параметр среды)'
	И я нажимаю кнопку выбора у поля "Параметр среды"
	Тогда открылось окно 'Показатели складов'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'параметр'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'параметр склада (Параметр среды) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'параметр склада (Параметр среды) *' в течение 20 секунд
	Тогда открылось окно 'Параметры среды'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Температура'  |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Температура (Параметр среды)'
	И я нажимаю кнопку выбора у поля "Параметр среды"
	Тогда открылось окно 'Показатели складов'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Температура'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Температура (Параметр среды) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Температура (Параметр среды) *' в течение 20 секунд
	Тогда открылось окно 'Параметры среды'
	И Я закрываю окно 'Параметры среды'
